Services
========

.. contents:: :local:

CloudService
---------------
.. autoclass:: cloudbridge.cloud.interfaces.services.CloudService
    :members:

ComputeService
--------------
.. autoclass:: cloudbridge.cloud.interfaces.services.ComputeService
    :members:

InstanceService
---------------
.. autoclass:: cloudbridge.cloud.interfaces.services.InstanceService
    :members:

VolumeService
-------------
.. autoclass:: cloudbridge.cloud.interfaces.services.VolumeService
    :members:

SnapshotService
---------------
.. autoclass:: cloudbridge.cloud.interfaces.services.SnapshotService
    :members:

StorageService
-----------------
.. autoclass:: cloudbridge.cloud.interfaces.services.StorageService
    :members:

ImageService
------------
.. autoclass:: cloudbridge.cloud.interfaces.services.ImageService
    :members:

NetworkingService
-----------------
.. autoclass:: cloudbridge.cloud.interfaces.services.NetworkingService
    :members:

NetworkService
-----------------
.. autoclass:: cloudbridge.cloud.interfaces.services.NetworkService
    :members:

SubnetService
-----------------
.. autoclass:: cloudbridge.cloud.interfaces.services.SubnetService
    :members:

FloatingIPService
-----------------
.. autoclass:: cloudbridge.cloud.interfaces.services.FloatingIPService
    :members:

RouterService
-----------------
.. autoclass:: cloudbridge.cloud.interfaces.services.RouterService
    :members:

GatewayService
-----------------
.. autoclass:: cloudbridge.cloud.interfaces.services.GatewayService
    :members:

BucketService
---------------
.. autoclass:: cloudbridge.cloud.interfaces.services.BucketService
    :members:

SecurityService
---------------
.. autoclass:: cloudbridge.cloud.interfaces.services.SecurityService
    :members:

KeyPairService
--------------
.. autoclass:: cloudbridge.cloud.interfaces.services.KeyPairService
    :members:

VMFirewallService
--------------------
.. autoclass:: cloudbridge.cloud.interfaces.services.VMFirewallService
    :members:

VMTypeService
--------------------
.. autoclass:: cloudbridge.cloud.interfaces.services.VMTypeService
    :members:

RegionService
-------------
.. autoclass:: cloudbridge.cloud.interfaces.services.RegionService
    :members:
